Bug 1270880 - No background wallpaper on all but first virtual destop after upgrade from Fedora 20 to 22
No background wallpaper on all but first virtual destop after upgrade from Fe...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: desktop-backgrounds (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 11:12 EDT by Brian Kaye
Modified: 2016-07-19 14:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:11:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Kaye 2015-10-12 11:12:41 EDT
Description of problem: I upgraded from a fully updated Fedora 20 to Fedora 22 using fedup. On Fedora 20 I had a single wallpaper for all of 4 virtual desktops. On Fedora 22 only one virtual desktops has the wallpaper. The other three are black. I can switch between the desktops but the background is black and the icons and bottom panel are missing. I can move a window from the desktop with the wallpaper to one that does not. I can use that window on the target desktop. The black desktop has no right-click context menu.


Version-Release number of selected component (if applicable):
Do not know what component is really involved in this.

How reproducible:
Happens no matter how many desktops >1

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Same as I had in Fedora20.

Additional info:
Comment 1 Martin Sourada 2015-10-12 17:40:35 EDT
What desktop environment do you use? I believe it is not a issue of the wallpaper (as the files are the same, sans the images themselves, and you report problems with other parts of the DE as well)? I'll try to reassign to correct component, but I need to know whether you use gnome, mate, xfce, kde, ...
Comment 2 Brian Kaye 2015-10-12 17:56:33 EDT
I use KDE.  I really didn't know what component to assign the problem to. 

I just decided to create a new user. The problem is not there. I then saved .kde and .config in my account and when new .config and .kde files got created the he problem went away. So the problem is part of the upgrade and not the KDE desktop.

So for me the problem is solved
Comment 3 Brian Kaye 2015-11-02 10:06:41 EST
After having the system create new .config and .kde directories an logging  out and in the problem appeared to have gone. How ever the problem reoccurs occasionally.  Logging out/in corrects it. Not sure of what is causing.
Comment 4 Fedora End Of Life 2016-07-19 14:11:40 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.